summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames E.H. Turner <jturner@gemini.edu>2016-08-23 16:42:20 -0400
committerJames E.H. Turner <jturner@gemini.edu>2016-08-23 16:42:20 -0400
commit9f9f83832bcb08f9d477fbe89c80dc5d1f2e29c7 (patch)
tree9ebda859bce0c22e407b9dc26f12f67bd8cb2403
parent28abcedaa4db00b668399b834af42b8036d39dcd (diff)
downloadastroconda-iraf-helpers-9f9f83832bcb08f9d477fbe89c80dc5d1f2e29c7.tar.gz
Don't require interpreter to end with "python", since .* is greedy anyway and it's conceivable we might want to specify something like "python3" in future.
-rwxr-xr-xscripts/unmangle_interpreter2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/unmangle_interpreter b/scripts/unmangle_interpreter
index 9b42551..709fb4f 100755
--- a/scripts/unmangle_interpreter
+++ b/scripts/unmangle_interpreter
@@ -28,7 +28,7 @@ for script in $scripts; do
tmpscript="$tmp/$script"
- if ! sed -e 's|#\!.*/python$|#\!/usr/bin/python|' "$script" > "$tmpscript"
+ if ! sed -e 's|#\!.*/python|#\!/usr/bin/python|' "$script" > "$tmpscript"
then
echo "cannot write $tmpscript" >&2
exit 1